package sgc.portal.cs.cs0603.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0603.dto.CS06030001USearch;
import sgc.portal.cs.cs0603.service.CS06030001UService;

import java.util.List;

@RestController
@RequestMapping("/cs/cs0603")
public class CS06030001UController {
    private final CS06030001UService service;

    public CS06030001UController(CS06030001UService service) {
        this.service = service;
    }

    @PostMapping("/CS06030001U/getList1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CS06030001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CS06030001U/getList2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CS06030001USearch search) {
        return service.getList2(search);
    }
    
    @PostMapping("/CS06030001U/getList3")
    public List<EasyHashMap<String, Object>> getList3(@RequestBody CS06030001USearch search) {
        return service.getList3(search);
    }
    
    @PostMapping("/CS06030001U/getList4")
    public List<EasyHashMap<String, Object>> getList4(@RequestBody CS06030001USearch search) {
        return service.getList4(search);
    }
    
    @PostMapping("/CS06030001U/getList5")
    public List<EasyHashMap<String, Object>> getList5(@RequestBody CS06030001USearch search) {
        return service.getList5(search);
    }
    
    @PostMapping("/CS06030001U/getList6")
    public List<EasyHashMap<String, Object>> getList6(@RequestBody CS06030001USearch search) {
        return service.getList6(search);
    }
    
    @PostMapping("/CS06030001U/getList7")
    public List<EasyHashMap<String, Object>> getList7(@RequestBody CS06030001USearch search) {
        return service.getList7(search);
    }
    
    @PostMapping("/CS06030001U/getList8")
    public List<EasyHashMap<String, Object>> getList8(@RequestBody CS06030001USearch search) {
        return service.getList8(search);
    }
}
